VRENDER_TO_BUFFER(3)

FUNCTION
vrender_to_buffer - Render a scene in a volume rendering context to a buffer.

SYNOPSIS
#include <karma_vrender.h>

flag vrender_to_buffer

(KVolumeRenderContext context, char *left_buffer, char *right_buffer, double *min, double *max, void (*notify_func) (void *info), void *info)

DESCRIPTION
Render a scene in a volume rendering context to a buffer.

context
    The volume rendering context.

left_buffer
    The left eye buffer to render into. This must be correctly allocated.

right_buffer
    The right eye buffer to render into. If this is NULL no right eye view is rendered and a monoscopic image is rendered into the left eye buffer.

min The minimum value in the rendered images(s) is written here.

max The maximum value in the rendered images(s) is written here.

notify_func
    The function that is called when the rendering is completed. The prototype function is <-vrender_PROTO_render_notify_func->.

info
    The arbitrary information pointer.

RETURN VALUE
TRUE on success, else FALSE.

Multi-threading Level
Unsafe per context.

NOTE
This function may block.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/